using LitJson;

namespace Wizard;

public class GuildNotification
{
	public int? GuildId { get; private set; }

	public int? GuildRoomMessageId { get; private set; }

	public bool IsJoinRequest { get; private set; }

	public bool IsInvited { get; private set; }

	public void SetGuildNotification(JsonData json)
	{
		GuildId = json["guild_id"]?.ToInt();
		GuildRoomMessageId = json["guild_room_message_id"]?.ToInt();
		IsJoinRequest = json["is_join_request"].ToBoolean();
		IsInvited = json["is_invited"].ToBoolean();
	}
}
